Index: LMDZ5/branches/testing/DefLists/physiq.def_L39_AR40.0
===================================================================
--- LMDZ5/branches/testing/DefLists/physiq.def_L39_AR40.0	(revision 1669)
+++ LMDZ5/branches/testing/DefLists/physiq.def_L39_AR40.0	(revision 1707)
@@ -99,6 +99,6 @@
 #ok_kzmin : calcul Kzmin dans la CL de surface
 ok_kzmin=y
-#couplage ou non avec la convection
-iflag_coupl=0 (0:AR4 et 1:nouvelle physique)
+#couplage ou non avec la convection (0:AR4 et 1:nouvelle physique)
+iflag_coupl=0 
 seuil_inversion=-0.08
 
Index: LMDZ5/branches/testing/arch/arch-CICLADifort.fcm
===================================================================
--- LMDZ5/branches/testing/arch/arch-CICLADifort.fcm	(revision 1669)
+++ LMDZ5/branches/testing/arch/arch-CICLADifort.fcm	(revision 1707)
@@ -4,5 +4,5 @@
 %MAKE                make
 %FPP_FLAGS           -P -traditional
-%FPP_DEF             NC_DOUBLE BLAS SGEMV=DGEMV SGEMM=DGEMM FFT_FFTW
+%FPP_DEF             NC_DOUBLE
 %BASE_FFLAGS         -real-size 64 -ip -mkl=parallel -fp-model precise -align common -mcmodel=large 
 %PROD_FFLAGS         -O2
@@ -12,4 +12,4 @@
 %OMP_FFLAGS          
 %BASE_LD             -mkl=parallel
-%MPI_LD              -L/usr/lib64/openmpi/1.4.3-ifort/lib -lmpi -lmkl_core -lfftw3
+%MPI_LD              -L/usr/lib64/openmpi/1.4.3-ifort/lib -lmpi -lmkl_core 
 %OMP_LD              
Index: LMDZ5/branches/testing/arch/arch-X64_ADA.fcm
===================================================================
--- LMDZ5/branches/testing/arch/arch-X64_ADA.fcm	(revision 1707)
+++ LMDZ5/branches/testing/arch/arch-X64_ADA.fcm	(revision 1707)
@@ -0,0 +1,17 @@
+%COMPILER            mpiifort
+%LINK                mpiifort
+%AR                  ar
+%MAKE                gmake
+%FPP_FLAGS           -P -traditional
+%FPP_DEF             NC_DOUBLE BLAS SGEMV=DGEMV SGEMM=DGEMM 
+%BASE_FFLAGS         -integer-size 32 -real-size 64 -align all 
+%PROD_FFLAGS         -O3 -ip 
+%DEV_FFLAGS          -p -g -O1 -fpe0 -traceback
+%DEBUG_FFLAGS        -p -g -O0 -no-ftz -traceback -ftrapuv -fp-stack-check -check -fpe0
+%MPI_FFLAGS
+%OMP_FFLAGS          -openmp
+%%%%BASE_LD             -lmkl_intel_lp64 -lmkl_sequential -lmkl_core
+%BASE_LD             -lmkl_intel_lp64 -lmkl_sequential -lmkl_core -lpthread
+%MPI_LD
+%OMP_LD              -openmp
+
Index: LMDZ5/branches/testing/arch/arch-X64_ADA.path
===================================================================
--- LMDZ5/branches/testing/arch/arch-X64_ADA.path	(revision 1707)
+++ LMDZ5/branches/testing/arch/arch-X64_ADA.path	(revision 1707)
@@ -0,0 +1,11 @@
+NETCDF_LIBDIR="${NETCDF_LDFLAGS:--L/smplocal/pub/NetCDF/4.1.3/lib -lnetcdff -lnetcdf}"
+NETCDF_INCDIR="${NETCDF_FFLAGS:--I/smplocal/pub/HDF5/1.8.9/seq/include -I/smplocal/pub/NetCDF/4.1.3/include}"
+IOIPSL_INCDIR=$LMDGCM/../../lib
+IOIPSL_LIBDIR=$LMDGCM/../../lib
+ORCH_INCDIR=$LMDGCM/../../lib
+ORCH_LIBDIR=$LMDGCM/../../lib
+OASIS_INCDIR=$LMDGCM/../../prism/X64/build/lib/psmile.$couple
+OASIS_LIBDIR=$LMDGCM/../../prism/X64/lib
+INCA_LIBDIR=$LMDGCM/../INCA/config/lib
+INCA_INCDIR=$LMDGCM/../INCA/config/lib
+
Index: LMDZ5/branches/testing/create_make_gcm
===================================================================
--- LMDZ5/branches/testing/create_make_gcm	(revision 1669)
+++ LMDZ5/branches/testing/create_make_gcm	(revision 1707)
@@ -96,5 +96,5 @@
 echo '	cd $(LOCAL_DIR); \'
 echo '	$(COMPILE90) $(LIBF)/$(DIRMAIN)/$(SOURCE) -o $(PROG).o ; \'
-echo '	$(LINK) $(PROG).o -L$(LIBO) $(L_DYN) $(L_ADJNT) $(L_COSP) $(L_FILTRE) $(L_PHY) $(L_DYN) $(L_BIBIO) $(L_DYN) $(OPLINK) $(OPTION_LINK) -o $(LOCAL_DIR)/$(PROG).e ; $(RM) $(PROG).o '
+echo '	$(LINK) $(PROG).o -L$(LIBO) $(L_DYN) $(L_ADJNT) $(L_COSP) $(L_PHY) $(L_DYN) $(L_BIBIO) $(L_DYN) $(L_FILTRE) $(OPLINK) $(OPTION_LINK) -o $(LOCAL_DIR)/$(PROG).e ; $(RM) $(PROG).o '
 echo
 echo 'dyn : $(LIBO)/libdyn$(DIM)d$(FLAG_PARA).a $(FILTRE)$(DIM)d'
@@ -224,5 +224,4 @@
          # Put generated object in library
          echo '	$(AR) r $(LIBO)/lib'$diri'.a '$fili'.o ; $(RM) '$fili'.o ; \'
-         echo '	cd $(GCM)'
 	 echo
       done
Index: LMDZ5/branches/testing/libf/bibio/new_unit_m.F90
===================================================================
--- LMDZ5/branches/testing/libf/bibio/new_unit_m.F90	(revision 1707)
+++ LMDZ5/branches/testing/libf/bibio/new_unit_m.F90	(revision 1707)
@@ -0,0 +1,25 @@
+module new_unit_m
+
+  implicit none
+
+contains
+
+  subroutine new_unit(unit)
+
+    integer, intent(out):: unit
+
+    ! Variables local to the procedure:
+    logical opened, exist
+
+    !------------------------------------------------------
+
+    unit = 0
+    do
+       inquire(unit=unit, opened=opened, exist=exist)
+       if (exist .and. .not. opened) exit
+       unit = unit + 1
+    end do
+
+  end subroutine new_unit
+
+end module new_unit_m
Index: LMDZ5/branches/testing/libf/bibio/pchfe_95_m.F90
===================================================================
--- LMDZ5/branches/testing/libf/bibio/pchfe_95_m.F90	(revision 1707)
+++ LMDZ5/branches/testing/libf/bibio/pchfe_95_m.F90	(revision 1707)
@@ -0,0 +1,76 @@
+module PCHFE_95_m
+
+  implicit none
+
+contains
+
+  SUBROUTINE PCHFE_95(X, F, D, SKIP, XE, FE, IERR)
+
+    ! PURPOSE  Evaluate a piecewise cubic Hermite function at an array of
+    !            points.  May be used by itself for Hermite interpolation,
+    !            or as an evaluator for PCHIM or PCHIC.
+    ! CATEGORY  E3
+    ! KEYWORDS  CUBIC HERMITE EVALUATION, HERMITE INTERPOLATION, PCHIP,
+    !             PIECEWISE CUBIC EVALUATION
+
+    !          PCHFE:  Piecewise Cubic Hermite Function Evaluator
+    ! Evaluates the cubic Hermite function defined by  X, F, D  at
+    ! the points  XE.
+
+    use assert_eq_m, only: assert_eq
+
+    REAL, intent(in):: X(:) ! real array of independent variable values
+    ! The elements of X must be strictly increasing.
+
+    REAL, intent(in):: F(:) ! real array of function values
+    ! F(I) is the value corresponding to X(I).
+
+    REAL, intent(in):: D(:) ! real array of derivative values
+    ! D(I) is the value corresponding to X(I).
+
+    LOGICAL, intent(inout):: SKIP 
+    ! request to skip checks for validity of "x"
+    ! If "skip" is false then "pchfe" will check that size(x) >= 2 and
+    ! "x" is in strictly ascending order.
+    ! Setting "skip" to true will save time in case these checks have
+    ! already been performed (say, in "PCHIM" or "PCHIC").
+    ! "SKIP" will be set to TRUE on normal return.
+
+    real, intent(in):: XE(:) ! points at which the function is to be evaluated
+    ! NOTES:
+    ! 1. The evaluation will be most efficient if the elements of XE
+    ! are increasing relative to X.
+    ! That is,   XE(J) .GE. X(I)
+    ! implies    XE(K) .GE. X(I),  all K.GE.J
+    ! 2. If any of the XE are outside the interval [X(1),X(N)], values
+    ! are extrapolated from the nearest extreme cubic, and a warning
+    ! error is returned.
+
+    real, intent(out):: FE(:) ! values of the cubic Hermite function
+    ! defined by X, F, D at the points XE
+
+    integer, intent(out):: IERR ! error flag
+    ! Normal return:
+    ! IERR = 0  no error
+    ! Warning error:
+    ! IERR > 0  means that extrapolation was performed at IERR points
+    ! "Recoverable" errors:
+    !              IERR = -1  if N < 2
+    !              IERR = -3  if the X-array is not strictly increasing
+    !              IERR = -4  if NE < 1
+    ! NOTE: The above errors are checked in the order listed, and
+    ! following arguments have **NOT** been validated.
+
+    ! Variables local to the procedure:
+
+    INTEGER  N, NE
+
+    !---------------------------------------
+
+    n = assert_eq(size(x), size(f), size(d), "PCHFE_95 n")
+    ne = assert_eq(size(xe), size(fe), "PCHFE_95 ne")
+    call PCHFE(N, X, F, D, 1, SKIP, NE, XE, FE, IERR)
+
+  end SUBROUTINE PCHFE_95
+
+end module PCHFE_95_m
Index: LMDZ5/branches/testing/libf/bibio/pchsp_95_m.F90
===================================================================
--- LMDZ5/branches/testing/libf/bibio/pchsp_95_m.F90	(revision 1707)
+++ LMDZ5/branches/testing/libf/bibio/pchsp_95_m.F90	(revision 1707)
@@ -0,0 +1,116 @@
+module pchsp_95_m
+
+  implicit none
+
+contains
+
+  function pchsp_95(x, f, ibeg, iend, vc_beg, vc_end)
+
+    ! PURPOSE: Set derivatives needed to determine the Hermite
+    ! representation of the cubic spline interpolant to given data,
+    ! with specified boundary conditions.
+
+    ! Part of the "pchip" package.
+
+    ! CATEGORY: E1A
+
+    ! KEYWORDS: cubic hermite interpolation, piecewise cubic
+    ! interpolation, spline interpolation
+
+    ! DESCRIPTION: "pchsp" stands for "Piecewise Cubic Hermite Spline"
+    ! Computes the Hermite representation of the cubic spline
+    ! interpolant to the data given in X and F satisfying the boundary
+    ! conditions specified by Ibeg, iend, vc_beg and VC_end.
+
+    ! The resulting piecewise cubic Hermite function may be evaluated
+    ! by "pchfe" or "pchfd".
+
+    ! NOTE: This is a modified version of C. de Boor's cubic spline
+    ! routine "cubspl".
+
+    ! REFERENCE: Carl de Boor, A Practical Guide to Splines, Springer,
+    ! 2001, pages 43-47
+
+    use assert_eq_m, only: assert_eq
+
+    real, intent(in):: x(:)
+    ! independent variable values
+    ! The elements of X must be strictly increasing:
+    !                X(I-1) < X(I),  I = 2...N.
+    !           (Error return if not.)
+    ! (error if size(x) < 2)
+
+    real, intent(in):: f(:)
+    !     dependent variable values to be interpolated
+    !  F(I) is value corresponding to X(I).
+
+    INTEGER, intent(in):: ibeg
+    !     desired boundary condition at beginning of data
+
+    !        IBEG = 0  to set pchsp_95(1) so that the third derivative is con-
+    !              tinuous at X(2).  This is the "not a knot" condition
+    !              provided by de Boor's cubic spline routine CUBSPL.
+    !              This is the default boundary condition.
+    !        IBEG = 1  if first derivative at X(1) is given in VC_BEG.
+    !        IBEG = 2  if second derivative at X(1) is given in VC_BEG.
+    !        IBEG = 3  to use the 3-point difference formula for pchsp_95(1).
+    !              (Reverts to the default boundary condition if size(x) < 3 .)
+    !        IBEG = 4  to use the 4-point difference formula for pchsp_95(1).
+    !              (Reverts to the default boundary condition if size(x) < 4 .)
+
+    !          NOTES:
+    !           1. An error return is taken if IBEG is out of range.
+    !           2. For the "natural" boundary condition, use IBEG=2 and
+    !              VC_BEG=0.
+
+    INTEGER, intent(in):: iend
+    !           IC(2) = IEND, desired condition at end of data.
+    !  IEND may take on the same values as IBEG, but applied to
+    !  derivative at X(N). In case IEND = 1 or 2, The value is given in VC_END.
+
+    !          NOTES:
+    !           1. An error return is taken if IEND is out of range.
+    !           2. For the "natural" boundary condition, use IEND=2 and
+    !              VC_END=0.
+
+    REAL, intent(in), optional:: vc_beg
+    ! desired boundary value, as indicated above.
+    !           VC_BEG need be set only if IBEG = 1 or 2 .
+
+    REAL, intent(in), optional:: vc_end
+    ! desired boundary value, as indicated above.
+    !           VC_END need be set only if Iend = 1 or 2 .
+
+    real pchsp_95(size(x))
+    ! derivative values at the data points
+    !           These values will determine the cubic spline interpolant
+    !           with the requested boundary conditions.
+    !           The value corresponding to X(I) is stored in
+    !                PCHSP_95(I),  I=1...N.
+
+    ! LOCAL VARIABLES:
+    real wk(2, size(x)) ! real array of working storage
+    INTEGER n ! number of data points
+    integer ierr, ic(2)
+    real vc(2)
+
+    !-------------------------------------------------------------------
+
+    n = assert_eq(size(x), size(f), "pchsp_95 n")
+    if ((ibeg == 1 .or. ibeg == 2) .and. .not. present(vc_beg)) then
+       print *, "vc_beg required for IBEG = 1 or 2"
+       stop 1
+    end if
+    if ((iend == 1 .or. iend == 2) .and. .not. present(vc_end)) then
+       print *, "vc_end required for IEND = 1 or 2"
+       stop 1
+    end if
+    ic = (/ibeg, iend/)
+    if (present(vc_beg)) vc(1) = vc_beg
+    if (present(vc_end)) vc(2) = vc_end
+    call PCHSP(IC, VC, N, X, F, pchsp_95, 1, WK, size(WK), IERR)
+    if (ierr /= 0) stop 1
+
+  END function pchsp_95
+
+end module pchsp_95_m
Index: LMDZ5/branches/testing/libf/dyn3d/calfis.F
===================================================================
--- LMDZ5/branches/testing/libf/dyn3d/calfis.F	(revision 1669)
+++ LMDZ5/branches/testing/libf/dyn3d/calfis.F	(revision 1707)
@@ -507,5 +507,5 @@
      .             debut_split,    !! firstcall 
      .             lafin_split,    !! lastcall
-     .             float(day_ini), !! pday <-- day_ini (dans temps.h)
+     .             jD_cur,         !! pday. see leapfrog
      .             jH_cur_split,   !! ptime "fraction of day"
      .             zdt_split,      !! ptimestep
Index: LMDZ5/branches/testing/libf/dyn3d/comconst.h
===================================================================
--- LMDZ5/branches/testing/libf/dyn3d/comconst.h	(revision 1669)
+++ LMDZ5/branches/testing/libf/dyn3d/comconst.h	(revision 1707)
@@ -21,6 +21,7 @@
       REAL dtdiss ! (s) time step for the dissipation
       REAL rad ! (m) radius of the planet
-      REAL r ! Gas constant R=8.31 J.K-1.mol-1
-      REAL cpp   ! Cp
+      REAL r ! Reduced Gas constant r=R/mu
+             ! with R=8.31.. J.K-1.mol-1, mu: mol mass of atmosphere (kg/mol)
+      REAL cpp   ! Specific heat Cp (J.kg-1.K-1)
       REAL kappa ! kappa=R/Cp 
       REAL cotot
Index: LMDZ5/branches/testing/libf/dyn3d/comdissnew.h
===================================================================
--- LMDZ5/branches/testing/libf/dyn3d/comdissnew.h	(revision 1669)
+++ LMDZ5/branches/testing/libf/dyn3d/comdissnew.h	(revision 1707)
@@ -12,8 +12,14 @@
 
       COMMON/comdissnew/ lstardis,nitergdiv,nitergrot,niterh,tetagdiv,  &
-     &                   tetagrot,tetatemp,coefdis 
+     &                   tetagrot,tetatemp,coefdis, vert_prof_dissip
 
       LOGICAL lstardis
       INTEGER nitergdiv, nitergrot, niterh
+
+      integer vert_prof_dissip ! vertical profile of horizontal dissipation
+!     Allowed values:
+!     0: rational fraction, function of pressure
+!     1: tanh of altitude
+
       REAL     tetagdiv, tetagrot,  tetatemp, coefdis
 
Index: LMDZ5/branches/testing/libf/dyn3d/conf_gcm.F
===================================================================
--- LMDZ5/branches/testing/libf/dyn3d/conf_gcm.F	(revision 1669)
+++ LMDZ5/branches/testing/libf/dyn3d/conf_gcm.F	(revision 1707)
@@ -14,4 +14,6 @@
 #endif
       USE infotrac, ONLY : type_trac
+      use assert_m, only: assert
+
       IMPLICIT NONE
 c-----------------------------------------------------------------------
@@ -93,5 +95,6 @@
       CALL getin('lunout', lunout)
       IF (lunout /= 5 .and. lunout /= 6) THEN
-        OPEN(lunout,FILE='lmdz.out')
+        OPEN(UNIT=lunout,FILE='lmdz.out',ACTION='write', 
+     &          STATUS='unknown',FORM='formatted')
       ENDIF
 
@@ -173,8 +176,4 @@
 
 !Config  Key  = nsplit_phys
-!Config  Desc = nombre de pas par jour
-!Config  Def  = 1 
-!Config  Help = nombre de pas par jour (multiple de iperiod) (
-!Config          ici pour  dt = 1 min ) 
        nsplit_phys = 1 
        CALL getin('nsplit_phys',nsplit_phys)
@@ -625,5 +624,4 @@
       CALL getin('ok_dyn_ave',ok_dyn_ave) 
 
-
       write(lunout,*)' #########################################'
       write(lunout,*)' Configuration des parametres du gcm: '
@@ -635,4 +633,5 @@
       write(lunout,*)' day_step = ', day_step
       write(lunout,*)' iperiod = ', iperiod
+      write(lunout,*)' nsplit_phys = ', nsplit_phys
       write(lunout,*)' iconser = ', iconser
       write(lunout,*)' iecri = ', iecri
@@ -805,8 +804,8 @@
 !Config  Desc = sortie des transports zonaux dans la dynamique
 !Config  Def  = n 
-!Config  Help =  
+!Config  Help = Permet de mettre en route le calcul des transports 
 !Config          
-       ok_dynzon = .FALSE.
-       CALL getin('ok_dynzon',ok_dynzon) 
+      ok_dynzon = .FALSE. 
+      CALL getin('ok_dynzon',ok_dynzon) 
 
 !Config  Key  = ok_dyn_ins
@@ -838,5 +837,5 @@
         write(lunout,*)'STOP !!!'
         write(lunout,*)'use_filtre_fft n est pas implemente dans dyn3d'
-        STOP
+        STOP 1
       ENDIF
       
@@ -848,4 +847,9 @@
       ok_strato=.FALSE.
       CALL getin('ok_strato',ok_strato)
+
+      vert_prof_dissip = merge(1, 0, ok_strato .and. llm==39)
+      CALL getin('vert_prof_dissip', vert_prof_dissip)
+      call assert(vert_prof_dissip == 0 .or. vert_prof_dissip ==  1,
+     $     "bad value for vert_prof_dissip")
 
 !Config  Key  = ok_gradsfile
Index: LMDZ5/branches/testing/libf/dyn3d/fxhyp.F
===================================================================
--- LMDZ5/branches/testing/libf/dyn3d/fxhyp.F	(revision 1669)
+++ LMDZ5/branches/testing/libf/dyn3d/fxhyp.F	(revision 1707)
@@ -68,4 +68,25 @@
        xzoom    = xzoomdeg * pi/180. 
 c
+       if (iim==1) then
+
+          rlonm025(1)=-pi/2.
+          rlonv(1)=0.
+          rlonu(1)=pi
+          rlonp025(1)=pi/2.
+          rlonm025(2)=rlonm025(1)+depi
+          rlonv(2)=rlonv(1)+depi
+          rlonu(2)=rlonu(1)+depi
+          rlonp025(2)=rlonp025(1)+depi
+
+          xprimm025(:)=1.
+          xprimv(:)=1.
+          xprimu(:)=1.
+          xprimp025(:)=1.
+          champmin=depi
+          champmax=depi
+          return
+
+       endif
+
            decalx   = .75
        IF( grossism.EQ.1..AND.scal180 )  THEN
@@ -286,8 +307,10 @@
 
 
+
        IF(ik.EQ.1.and.grossism.EQ.1.)  THEN
          xvrai(1)    = xvrai(iip1)-depi
          xxprim(1)   = xxprim(iip1)
        ENDIF
+
        DO i = 1 , iim
         xlon(i)     = xvrai(i)
Index: LMDZ5/branches/testing/libf/dyn3d/gcm.F
===================================================================
--- LMDZ5/branches/testing/libf/dyn3d/gcm.F	(revision 1669)
+++ LMDZ5/branches/testing/libf/dyn3d/gcm.F	(revision 1707)
@@ -405,5 +405,5 @@
 
       CALL inidissip( lstardis, nitergdiv, nitergrot, niterh   ,
-     *                tetagdiv, tetagrot , tetatemp              )
+     *                tetagdiv, tetagrot , tetatemp, vert_prof_dissip)
 
 c-----------------------------------------------------------------------
@@ -433,6 +433,7 @@
 ! Physics:
 #ifdef CPP_PHYS
-         CALL iniphysiq(ngridmx,llm,daysec,day_ini,dtphys/nsplit_phys ,
-     ,                latfi,lonfi,airefi,zcufi,zcvfi,rad,g,r,cpp     )
+         CALL iniphysiq(ngridmx,llm,daysec,day_ini,dtphys/nsplit_phys,
+     &                latfi,lonfi,airefi,zcufi,zcvfi,rad,g,r,cpp,
+     &                iflag_phys)
 #endif
          call_iniphys=.false.
@@ -457,12 +458,4 @@
  301  FORMAT('1'/,15x,'run du ', i2,'/',i2,'/',i4)
  302  FORMAT('1'/,15x,'    au ', i2,'/',i2,'/',i4)
-#endif
-
-#ifdef CPP_PHYS
-! Create start file (startphy.nc) and boundary conditions (limit.nc) 
-! for the Earth verstion
-       if (iflag_phys>=100) then
-          call iniaqua(ngridmx,latfi,lonfi,iflag_phys)
-       endif
 #endif
 
Index: LMDZ5/branches/testing/libf/dyn3d/groupe.F
===================================================================
--- LMDZ5/branches/testing/libf/dyn3d/groupe.F	(revision 1669)
+++ LMDZ5/branches/testing/libf/dyn3d/groupe.F	(revision 1707)
@@ -38,13 +38,21 @@
       integer i,j,l
 
-      logical firstcall
-      save firstcall
+      logical firstcall,groupe_ok
+      save firstcall,groupe_ok
 
       data firstcall/.true./
+      data groupe_ok/.true./
+
+      if (iim==1) then
+         groupe_ok=.false.
+      endif
 
       if (firstcall) then
-         if(mod(iim,2**ngroup).ne.0) stop'probleme du nombre ede point'
+         if (groupe_ok) then
+           if(mod(iim,2**ngroup).ne.0) stop'probleme du nombre de point'
+         endif
          firstcall=.false.
       endif
+
 
 c   Champs 1D
@@ -52,14 +60,12 @@
       call convflu(pbaru,pbarv,llm,zconvm)
 
-c
       call scopy(ijp1llm,zconvm,1,zconvmm,1)
       call scopy(ijmllm,pbarv,1,pbarvm,1)
 
-c
+      if (groupe_ok) then
       call groupeun(jjp1,llm,zconvmm)
       call groupeun(jjm,llm,pbarvm)
 
 c   Champs 3D
-
       do l=1,llm
          do j=2,jjm
@@ -74,4 +80,9 @@
          enddo
       enddo
+
+      else
+         pbarum(:,:,:)=pbaru(:,:,:)
+         pbarvm(:,:,:)=pbarv(:,:,:)
+      endif
 
 c    integration de la convergence de masse de haut  en bas ......
Index: LMDZ5/branches/testing/libf/dyn3d/inidissip.F90
===================================================================
--- LMDZ5/branches/testing/libf/dyn3d/inidissip.F90	(revision 1669)
+++ LMDZ5/branches/testing/libf/dyn3d/inidissip.F90	(revision 1707)
@@ -3,5 +3,5 @@
 !
 SUBROUTINE inidissip ( lstardis,nitergdiv,nitergrot,niterh  , &
-     tetagdiv,tetagrot,tetatemp             )
+     tetagdiv,tetagrot,tetatemp, vert_prof_dissip)
   !=======================================================================
   !   initialisation de la dissipation horizontale
@@ -25,4 +25,10 @@
   INTEGER,INTENT(in) :: nitergdiv,nitergrot,niterh
   REAL,INTENT(in) :: tetagdiv,tetagrot,tetatemp
+
+  integer, INTENT(in):: vert_prof_dissip
+  ! Vertical profile of horizontal dissipation
+  ! Allowed values:
+  ! 0: rational fraction, function of pressure
+  ! 1: tanh of altitude
 
 ! Local variables:
@@ -167,5 +173,5 @@
   !   --------------------------------------------------
 
-  if (ok_strato .and. llm==39) then
+  if (vert_prof_dissip == 1) then
      do l=1,llm
         pseudoz=8.*log(preff/presnivs(l))
Index: LMDZ5/branches/testing/libf/dyn3d/leapfrog.F
===================================================================
--- LMDZ5/branches/testing/libf/dyn3d/leapfrog.F	(revision 1669)
+++ LMDZ5/branches/testing/libf/dyn3d/leapfrog.F	(revision 1707)
@@ -383,4 +383,10 @@
            jD_cur = jD_ref + day_ini - day_ref +                        &
      &          itau/day_step
+
+           IF (planet_type .eq."generic") THEN
+              ! AS: we make jD_cur to be pday
+              jD_cur = int(day_ini + itau/day_step)
+           ENDIF
+
            jH_cur = jH_ref + start_time +                               &
      &              mod(itau,day_step)/float(day_step) 
Index: LMDZ5/branches/testing/libf/dyn3d/mod_const_mpi.F90
===================================================================
--- LMDZ5/branches/testing/libf/dyn3d/mod_const_mpi.F90	(revision 1707)
+++ LMDZ5/branches/testing/libf/dyn3d/mod_const_mpi.F90	(revision 1707)
@@ -0,0 +1,16 @@
+MODULE mod_const_mpi
+
+  INTEGER :: COMM_LMDZ
+  INTEGER :: MPI_REAL_LMDZ
+ 
+
+CONTAINS 
+
+  SUBROUTINE Init_const_mpi
+  IMPLICIT NONE
+  
+    COMM_LMDZ=0
+    MPI_REAL_LMDZ=0
+  END SUBROUTINE Init_const_mpi
+
+END MODULE mod_const_mpi
Index: LMDZ5/branches/testing/libf/dyn3d/paramet.h
===================================================================
--- LMDZ5/branches/testing/libf/dyn3d/paramet.h	(revision 1669)
+++ LMDZ5/branches/testing/libf/dyn3d/paramet.h	(revision 1707)
@@ -17,5 +17,5 @@
       INTEGER jcfil,jcfllm
 
-      PARAMETER( iip1= iim+1-1/iim,iip2=iim+2,iip3=iim+3                &
+      PARAMETER( iip1= iim+1,iip2=iim+2,iip3=iim+3                       &
      &    ,jjp1=jjm+1-1/jjm)
       PARAMETER( llmp1 = llm+1,  llmp2 = llm+2, llmm1 = llm-1 )
Index: LMDZ5/branches/testing/libf/dyn3dmem/abort_gcm.F
===================================================================
--- LMDZ5/branches/testing/libf/dyn3dmem/abort_gcm.F	(revision 1669)
+++ LMDZ5/branches/testing/libf/dyn3dmem/abort_gcm.F	(revision 1707)
@@ -1,4 +1,4 @@
 !
-! $Id: abort_gcm.F 1425 2010-09-02 13:45:23Z lguez $
+! $Id$
 !
 c
@@ -45,5 +45,4 @@
       if (ierr .eq. 0) then
         write(lunout,*) 'Everything is cool'
-        stop
       else
         write(lunout,*) 'Houston, we have a problem ', ierr
Index: LMDZ5/branches/testing/libf/dyn3dmem/academic.h
===================================================================
--- LMDZ5/branches/testing/libf/dyn3dmem/academic.h	(revision 1669)
+++ LMDZ5/branches/testing/libf/dyn3dmem/academic.h	(revision 1707)
@@ -1,5 +1,9 @@
 !
-! $Header$
+! $Id$
 !
-      real tetarappel(ip1jmp1,llm),taurappel
-      common/academic/tetarappel,taurappel
+      common/academic/tetarappel,knewt_t,kfrict,knewt_g,clat4
+      real :: tetarappel(ip1jmp1,llm)
+      real :: knewt_t(llm)
+      real :: kfrict(llm)
+      real :: knewt_g
+      real :: clat4(ip1jmp1)
Index: LMDZ5/branches/testing/libf/dyn3dmem/addfi_loc.F
===================================================================
--- LMDZ5/branches/testing/libf/dyn3dmem/addfi_loc.F	(revision 1669)
+++ LMDZ5/branches/testing/libf/dyn3dmem/addfi_loc.F	(revision 1707)
@@ -1,4 +1,4 @@
 !
-! $Header$
+! $Id$
 !
       SUBROUTINE addfi_loc(pdt, leapf, forward,
@@ -7,4 +7,5 @@
       USE parallel
       USE infotrac, ONLY : nqtot
+      USE control_mod, ONLY : planet_type
       IMPLICIT NONE
 c
@@ -156,4 +157,6 @@
 c$OMP END MASTER
  
+      if (planet_type=="earth") then
+      ! earth case, special treatment for first 2 tracers (water)
       DO iq = 1, 2
 c$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
@@ -177,4 +180,17 @@
 c$OMP END DO NOWAIT
       ENDDO
+      else
+      ! general case, treat all tracers equally)
+       DO iq = 1, nqtot
+c$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
+         DO k = 1,llm
+            DO j = ijb,ije
+               pq(j,k,iq)= pq(j,k,iq) + pdqfi(j,k,iq) * pdt
+               pq(j,k,iq)= AMAX1( pq(j,k,iq), qtestt )
+            ENDDO
+         ENDDO
+c$OMP END DO NOWAIT
+       ENDDO
+      endif ! of if (planet_type=="earth")
 
 c$OMP MASTER
Index: LMDZ5/branches/testing/libf/dyn3dmem/advtrac_loc.F
===================================================================
--- LMDZ5/branches/testing/libf/dyn3dmem/advtrac_loc.F	(revision 1669)
+++ LMDZ5/branches/testing/libf/dyn3dmem/advtrac_loc.F	(revision 1707)
@@ -1,4 +1,4 @@
 !
-! $Id: advtrac_p.F 1299 2010-01-20 14:27:21Z fairhead $
+! $Id$
 !
 c
@@ -342,4 +342,6 @@
 c$OMP BARRIER
 
+      if (planet_type=="earth") then
+
       ijb=ij_begin
       ije=ij_end
@@ -355,4 +357,5 @@
        CALL qminimum_loc( q, 2, finmasse )
 
+      endif ! of if (planet_type=="earth")
 
        RETURN
Index: LMDZ5/branches/testing/libf/dyn3dmem/bands.F90
===================================================================
--- LMDZ5/branches/testing/libf/dyn3dmem/bands.F90	(revision 1669)
+++ LMDZ5/branches/testing/libf/dyn3dmem/bands.F90	(revision 1707)
@@ -1,4 +1,4 @@
 !
-! $Id: bands.F90 1279 2009-12-10 09:02:56Z fairhead $
+! $Id$
 !
   module Bands
@@ -105,6 +105,6 @@
    SUBROUTINE  Set_Bands 
      USE parallel
-#ifdef CPP_EARTH
-! Ehouarn: what follows is only related to // physics; for now only for Earth 
+#ifdef CPP_PHYS
+! Ehouarn: what follows is only related to // physics
      USE mod_phys_lmdz_para, ONLY : jj_para_begin,jj_para_end
 #endif
@@ -118,6 +118,5 @@
       enddo
           
-#ifdef CPP_EARTH
-! Ehouarn: what follows is only related to // physics; for now only for Earth          
+#ifdef CPP_PHYS
       do i=0,MPI_Size-1
         jj_Nb_physic(i)=jj_para_end(i)-jj_para_begin(i)+1
@@ -374,6 +373,6 @@
     subroutine AdjustBands_physic
       use times
-#ifdef CPP_EARTH
-! Ehouarn: what follows is only related to // physics; for now only for Earth 
+#ifdef CPP_PHYS
+! Ehouarn: what follows is only related to // physics
       USE mod_phys_lmdz_para, only : klon_mpi_para_nb
 #endif
@@ -401,6 +400,5 @@
       medium=medium/mpi_size      
       NbTot=0
-#ifdef CPP_EARTH
-! Ehouarn: what follows is only related to // physics; for now only for Earth 
+#ifdef CPP_PHYS
       do i=0,mpi_size-1
         Inc(i)=nint(klon_mpi_para_nb(i)*(medium-value(i))/value(i))
Index: LMDZ5/branches/testing/libf/dyn3dmem/bilan_dyn_loc.F
===================================================================
--- LMDZ5/branches/testing/libf/dyn3dmem/bilan_dyn_loc.F	(revision 1669)
+++ LMDZ5/branches/testing/libf/dyn3dmem/bilan_dyn_loc.F	(revision 1707)
@@ -421,5 +421,4 @@
           Q_cum(:,jjb:jje,:,l)=0.
           flux_uQ_cum(:,jjb:jje,l,:)=0.
-          flux_v_cum(:,jjb:jje,l)=0.
           if (pole_sud) jje=jj_end-1
           flux_v_cum(:,jjb:jje,l)=0.
Index: LMDZ5/branches/testing/libf/dyn3dmem/caladvtrac_loc.F
===================================================================
--- LMDZ5/branches/testing/libf/dyn3dmem/caladvtrac_loc.F	(revision 1669)
+++ LMDZ5/branches/testing/libf/dyn3dmem/caladvtrac_loc.F	(revision 1707)
@@ -8,6 +8,6 @@
      *                   flxw, pk, iapptrac)
       USE parallel 
-      USE infotrac
-      USE control_mod
+      USE infotrac, ONLY : nqtot
+      USE control_mod, ONLY : iapp_tracvl,planet_type
       USE caladvtrac_mod
       USE mod_hallo
@@ -38,5 +38,5 @@
       REAL :: masse(ijb_u:ije_u,llm)
       REAL :: p( ijb_u:ije_u,llmp1)
-      REAL :: q( ijb_u:ije_u,llm,nqtot),dq( ijb_u:ije_u,llm,2 )
+      REAL :: q( ijb_u:ije_u,llm,nqtot),dq( ijb_u:ije_u,llm, nqtot )
       REAL :: teta( ijb_u:ije_u,llm),pk( ijb_u:ije_u,llm)
       REAL :: flxw(ijb_u:ije_u,llm)
